# projection.hh File Reference

Build an FMP transducer that realizes the identity relation. More...

Include dependency graph for projection.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename auto_t , typename trans_t >
void | set_states (const trans_t &, auto_t &, std::map< typename trans_t::hstate_t, typename auto_t::hstate_t > &)

## Detailed Description

Build an FMP transducer that realizes the identity relation.

x -> (x,x)

Definition in file projection.hh.